> For the complete documentation index, see [llms.txt](https://docs.everos.dev/appkit-js/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.everos.dev/appkit-js/guides/run_abi_get_method.md).

# Run ABI Get Method

* [About ABI Get Method](#about-abi-get-method)
* [Run ABI get method](#run-abi-get-method)
* [Sample source code](#sample-source-code)

## About ABI Get Method

Get method is a method that is executed locally and it does not change account state. Get methods are used to retrieve contract data locally for free.

ABI compatible contract - a contract which has an ABI interface.

## Run ABI get method

AppKit provides `runLocal` method for running get methods of ABI-compatible contracts.

```
const dePoolAddress = "0:a07c4668a8ac1801b5ea77c86e317ca027d76c288c6da4d29d7d1fd716aff40a";

const dePoolAcc = new Account(DePoolContract, {
    address: dePoolAddress,
    client,
    signer: signerNone(), 
});

response = await dePoolAcc.runLocal("getDePoolInfo", {});
console.log(`DePool ${dePoolAddress} Info:`, response.decoded.output);
const validatorWallet = response.decoded.output.validatorWallet;

response = await dePoolAcc.runLocal("getParticipantInfo", { "addr": validatorWallet });
console.log(`\nValidator Wallet ${validatorWallet} Stake Info:`, response.decoded.output);

response = await dePoolAcc.runLocal("getDePoolBalance", {});
console.log(`\nDePool Balance Nano Crystal:`, response.decoded.output.value0);
```

## Sample source code

Observe the full sample: <https://github.com/tonlabs/sdk-samples/tree/master/appkit-examples/depool-statistics>

Check out [core api documentation](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_abi_get_method) for more information about running get methods.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.everos.dev/appkit-js/guides/run_abi_get_method.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
